/*!-> Page Header */
.page-header {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("../img/contacto.webp");
  background-size: cover;
  background-position: center;
  padding: 4rem 1rem;
  text-align: center;
  color: white;
}

.page-header__title {
  font-size: 3rem;
  margin-bottom: 1rem;
  animation: fadeInUp 1s ease-out;
}

.page-header__text {
  animation: fadeInUp 1s ease-out;
}

/*!-> Contacto */
.contact {
  max-width: 1200px;
  margin: 0 auto;
  padding: 2rem 1rem;
}

.contact__content {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1rem;
}

/*!-> Tarjeta de reseñas */ 
.contact__info {
  padding: 0.5rem;
  background: var(--color-background-alt-dark);
  border-radius: 0.5rem;
  height: fit-content;
  padding: 1rem;
}

.contact__title {
  margin-bottom: 1rem;
}

.contact__details {
  display: flex;
  flex-direction: column;
  justify-content: start;
  gap: 1rem;
  margin-top: 1rem;
}

.contact__detail {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.contact__icon {
  width: 1.5rem;
  height: 1.5rem;
}

/*!-> Formulario de contacto*/
.contact-form {
  display: grid;
  background: var(--color-background-alt-dark);
  gap: 1.5rem;
  padding: 1rem;
  border-radius: 0.5rem;
}

.form-group {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.form-label {
  font-weight: 500;
}

.form-input,
.form-select,
.form-textarea {
  padding: 0.75rem;
  border: 1px solid #e2e8f0;
  border-radius: 0.375rem;
  width: 100%;
  transition: border-color 0.3s ease;
  background-color: var(--color-background-alt);
}

.form-input:focus,
.form-select:focus,
.form-textarea:focus {
  outline-color: var(--color-primary-light);

}

.form-textarea {
  min-height: 150px;
  resize: vertical;
}

.submit-container {
  display: flex;
  align-items: center;
  margin-top: 10px;
}

.form-submit {
  width: 9rem;
}

/*! Botón/check de suscripción*/
.form-group-newsletter {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.label-text {
  font-weight: 500;
  font-size: 1rem;
}

.switch-wrap {
  cursor: pointer;
  background: var(--color-background);
  padding: 0;
  width: 3.5rem;
  height: 1.7rem;
  border-radius: 0.7rem;
  position: relative;
  display: flex;
  align-items: center;
}

.switch-wrap input {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

.switch {
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: 0fr 1fr 1fr;
  transition: 0.2s;
  position: relative;
}

.switch::after {
  content: '';
  width: 1rem;
  height: 1rem;
  border-radius: 50%;
  background: var(--color-text);
  position: absolute;
  top: 50%;
  left: 0.2rem;
  transform: translateY(-50%);
  transition: 0.2s;
}

input:checked + .switch {
  grid-template-columns: 1fr 1fr 0fr;
}

input:checked + .switch::after {
  left: calc(100% - 1.2rem);
  background-color: var(--color-primary-light);
}